Update Default Settings
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.trackpilots.com/v1/settings/default-setting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://api.trackpilots.com/v1/settings/default-setting \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.trackpilots.com/v1/settings/default-setting"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Default settings updated successfully",
"error": null,
"data": {
"workDaySettings": {
"workDays": [
"monday",
"tuesday",
"wednesday",
"thursday",
"friday",
"saturday"
]
},
"workHourSettings": {
"expectedWorkMinutesPerDay": 480,
"expectedProductiveWorkMinutesPerDay": 360,
"expectedInTime": "10:30 am"
},
"idleAlertSettings": {
"minimumIdleTimeMinutes": 5,
"enableIdleTimeAlert": true
},
"screenshotSettings": {
"enableScreenCapture": true,
"enableBlurScreenCapture": true,
"screenCaptureIntervalMinutes": 10
},
"timezoneSettings": {
"timezone": "Asia/Barnaul"
},
"stealthMonitoringSettings": {
"enableStealthMonitoring": true
}
}
}Settings
Update Default Settings
PATCH
/
v1
/
settings
/
default-setting
Update Default Settings
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.trackpilots.com/v1/settings/default-setting', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://api.trackpilots.com/v1/settings/default-setting \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.trackpilots.com/v1/settings/default-setting"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Default settings updated successfully",
"error": null,
"data": {
"workDaySettings": {
"workDays": [
"monday",
"tuesday",
"wednesday",
"thursday",
"friday",
"saturday"
]
},
"workHourSettings": {
"expectedWorkMinutesPerDay": 480,
"expectedProductiveWorkMinutesPerDay": 360,
"expectedInTime": "10:30 am"
},
"idleAlertSettings": {
"minimumIdleTimeMinutes": 5,
"enableIdleTimeAlert": true
},
"screenshotSettings": {
"enableScreenCapture": true,
"enableBlurScreenCapture": true,
"screenCaptureIntervalMinutes": 10
},
"timezoneSettings": {
"timezone": "Asia/Barnaul"
},
"stealthMonitoringSettings": {
"enableStealthMonitoring": true
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
